Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.planner
Class ElementGraph.Extent

    java.lang.Object
      cascading.pipe.Pipe
          cascading.flow.planner.ElementGraph.Extent

All Implemented Interfaces:
  FlowElement, Serializable

Enclosing class:
  ElementGraph

    public static class ElementGraph.Extent

extends Pipe

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.pipe.Pipe
`configDef, name, parent, previous, stepConfigDef`

Constructor Summary
`ElementGraph.Extent(String name)`

Method Summary
`boolean` | `equals(Object object)`
`Scope` | `outgoingScopeFor(Set<Scope> scopes)` Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
`String` | `toString()`

Methods inherited from class cascading.pipe.Pipe
`getConfigDef, getHeads, getName, getParent, getPrevious, getStepConfigDef, getTrace, hasConfigDef, hashCode, hasStepConfigDef, id, isEquivalentTo, named, names, pipes, print, printInternal, resolveIncomingOperationArgumentFields, resolveIncomingOperationPassThroughFields, setParent`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElementGraph.Extent

    public ElementGraph.Extent(String name)

See Also:
  `Pipe.Pipe(String)`

Method Detail

### outgoingScopeFor

    public Scope outgoingScopeFor(Set<Scope> scopes)

  Description copied from interface: `FlowElement`
  Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.

  Specified by:
    `outgoingScopeFor` in interface `FlowElement`
  Overrides:
    `outgoingScopeFor` in class `Pipe`
  Parameters:
    `scopes` - of type Set
  Returns:
    Scope

### toString

    public String toString()

  Overrides:
    `toString` in class `Pipe`

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Pipe`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.